Package fr.gouv.vitam.functional.administration.core.security.profile

# Class SecurityProfileService

java.lang.Object
fr.gouv.vitam.functional.administration.core.security.profile.SecurityProfileService

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class SecurityProfileService extends Object implements VitamAutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityProfileService(MongoDbAccessAdminImpl dbConfiguration, VitamCounterService vitamCounterService, FunctionalBackupService functionalBackupService)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `RequestResponse<SecurityProfileModel>`
  `createSecurityProfiles(List<SecurityProfileModel> securityProfileList)`
  `RequestResponse<SecurityProfileModel>`
  `deleteSecurityProfile(String securityProfileId)`
  `Optional<SecurityProfileModel>`
  `findOneByIdentifier(String identifier)`
  `RequestResponseOK<SecurityProfileModel>`
  `findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `void`
  `setContextService(ContextService contextService)`
  `RequestResponse<SecurityProfileModel>`
  `updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecurityProfileService

    public SecurityProfileService(MongoDbAccessAdminImpl dbConfiguration, VitamCounterService vitamCounterService, FunctionalBackupService functionalBackupService)
    Constructor
    Parameters:
      `dbConfiguration` -
      `vitamCounterService` -
      `functionalBackupService` -

- ## Method Details

  - ### createSecurityProfiles

    public RequestResponse<SecurityProfileModel> createSecurityProfiles(List<SecurityProfileModel> securityProfileList) throws VitamException
    Throws:
      `VitamException`

  - ### findOneByIdentifier

    public Optional<SecurityProfileModel> findOneByIdentifier(String identifier) throws ReferentialException, InvalidParseOperationException
    Throws:
      `ReferentialException`
      `InvalidParseOperationException`

  - ### findSecurityProfiles

    public RequestResponseOK<SecurityProfileModel> findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl) throws ReferentialException, InvalidParseOperationException
    Throws:
      `ReferentialException`
      `InvalidParseOperationException`

  - ### updateSecurityProfile

    public RequestResponse<SecurityProfileModel> updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl) throws VitamException
    Throws:
      `VitamException`

  - ### deleteSecurityProfile

    public RequestResponse<SecurityProfileModel> deleteSecurityProfile(String securityProfileId) throws VitamException
    Throws:
      `VitamException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `VitamAutoCloseable`

  - ### setContextService

    public void setContextService(ContextService contextService)